#
# spec file for package semi-xemacs (Version 1.14.3)
#
# Copyright (c) 2003 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  automake compface cyrus-sasl flim-xemacs gpm libjpeg libpng-devel-packages libtiff openldap2 openldap2-client openldap2-devel openssl openssl-devel xaw3d xemacs xemacs-info xpm xshared
# usedforbuild    aaa_base aaa_dir aaa_version base bash bindutil bison bzip cpio cpp cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm gppshare grep groff gzip kbd less m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam-devel pam-modules patch ps rcs readline sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim autoconf automake binutils compface cracklib flim-xemacs gcc gdbm gettext heimdal-lib libjpeg libpng libpng-devel libtiff libtool libz openldap2 openldap2-client openldap2-devel openssl openssl-devel pam perl rpm xaw3d xemacs xemacs-info xshared

Name:         semi-xemacs
License:      GPL
Group:        Productivity/Editors/Emacs
Requires:     xemacs
Autoreqprov:  on
Version:      1.14.3
Release:      388
URL:          ftp://ftp.m17n.org/pub/mule/semi/semi-1.14-for-flim-1.14
Source0:      ftp://ftp.m17n.org/pub/mule/semi/semi-1.14-for-flim-1.14/semi-%{version}.tar.bz2
Patch0:       secure-temp-files.patch
Summary:      library to provide MIME feature for XEmacs
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
BuildArch:    noarch
%define prefix  /usr

%description
SEMI is a library to provide MIME feature for XEmacs.  MIME is a
proposed internet standard for including content and headers other
than (ASCII) plain text in messages

Authors:
--------
    MORIOKA Tomohiko  <tomo@m17n.org>

SuSE series: e

%prep
%setup -n semi-%{version}
%patch0 -p1 -b .secure-temp-files

%build
%define xemacs_package_dir /usr/share/xemacs/site-packages/
make package PACKAGEDIR=%{xemacs_package_dir}

%install
make install-package PACKAGEDIR=$RPM_BUILD_ROOT%{xemacs_package_dir}

%files 
%defattr(-,root,root)
%doc NEWS README* ChangeLog SEMI* TODO VERSION
%{xemacs_package_dir}/*

%changelog -n semi-xemacs
* Wed Sep 17 2003 - mfabian@suse.de
- Bugzilla #27795: security fix for creating temporary files.
* Fri Feb 01 2002 - ro@suse.de
- changed neededforbuild <libpng> to <libpng-devel-packages>
* Fri Aug 10 2001 - mfabian@suse.de
- update to version 1.14.3
* Mon May 07 2001 - mfabian@suse.de
- bzip2 source
* Tue Mar 27 2001 - mfabian@suse.de
- added flim-xemacs to "# neededforbuild"
* Sat Mar 24 2001 - mfabian@suse.de
- new package: semi-xemacs, version 1.13.7
